
@ECHO off
SET DrvLogPath=C:\OEM\AcerLogs\DriverLink.log
ECHO.>>%DrvLogPath%
ECHO %DATE% %TIME%[Log START]  ============ %~dpnx0 ============ >> %DrvLogPath%

ECHO %DATE% %TIME%[Log TRACE]  Backup Desktop shortcut. >>%DrvLogPath%
IF EXIST C:\oem\lnk_temp1 (
	ECHO %DATE% %TIME%[Log TRACE]  C:\oem\lnk_temp1 found, RD /S /Q C:\oem\lnk_temp1 >>%DrvLogPath% 2>&1
	RD /S /Q C:\oem\lnk_temp1 >>%DrvLogPath% 2>&1
)
ECHO %DATE% %TIME%[Log TRACE]  md C:\oem\lnk_temp1 >>%DrvLogPath%
md C:\oem\lnk_temp1 >>%DrvLogPath% 2>&1
ECHO %DATE% %TIME%[Log TRACE]  copy /y C:\users\public\desktop\*.lnk C:\oem\lnk_temp1\*.lnk >>%DrvLogPath%
copy /y C:\users\public\desktop\*.lnk C:\oem\lnk_temp1\*.lnk >>%DrvLogPath% 2>&1

ECHO %DATE% %TIME%[Log LEAVE]  ============ %~dpnx0 ============ >> %DrvLogPath%
ECHO.>>%DrvLogPath%